from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XSheetConditionalEntries(XIndexAccess, Protocol):
    def addNew(self, aConditionalEntry: PropertyValue >) -> None: ...
    def removeByIndex(self, nIndex: int) -> None: ...
    def clear(self) -> None: ...
